GTPin: gtpin::KnobVector< T > Class Template Reference

GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
gtpin::KnobVector< T > Class Template Reference
GTPin: Configuration

Template class that provides constructor for Knob arguments associated with a vector of values of type 'T'. More...

`#include <gt_knob.h>`

Inherits gtpin::Knob< T >.

## Public Types
typedef std::vector< T > | Vector
| Container of Knob values.
## Public Member Functions
| KnobVector (const std::string &name, const Vector &initValue, const std::string &helpMsg="", uint32_t flags=KNOB_FLAG_NONE, char symId=0)
KnobVector & | operator= (const T &val)
| Assignment operator.
KnobVector & | operator+= (const T &val)
| Addition assignment operator.

## Detailed Description

### template<typename T>
class gtpin::KnobVector< T >

Template class that provides constructor for Knob arguments associated with a vector of values of type 'T'.

## Constructor & Destructor Documentation

template<typename T >

gtpin::KnobVector< T >::KnobVector | ( | const std::string & | name,
|  | const Vector & | initValue,
|  | const std::string & | helpMsg = `""`,
|  | uint32_t | flags = `KNOB_FLAG_NONE`,
|  | char | symId = `0`
| ) |  | `[inline]`

Construct a new vector-value Knob argument, and register it in the Knob database.

Parameters:

  [in] | name | Unique identifier of the Knob
  [in] | initValue | The initial vector of values
  [in] | helpMsg | Description of the Knob in the help message
  [in] | flags | A combination of KNOB_FLAG properties. Specifying KNOB_FLAG_VECTOR flag is not necessary; this flag is implied
  [in] | symId | A single-symbol identifier of the Knob in the command line, or \0 character if such identifier does not exist

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT